Name:           kde-plasma-weather
Version:        1.0.0
Release:        6%{?dist}
Summary:        Plasma applet for weather forecasts

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kdedevelopers.org/blog/4267

Source0:        ftp://ftp.kde.org/pub/kde/stable/4.2.0/src/extragear/plasma-applet-weather-%{version}.tar.bz2
# configuration fix: PopupApplet is not a city (#495998)
Patch0:         kde-plasma-weather-1.0.0-rh495998-popupapplet-not-city.patch
# workaround for layout issue
Patch1:         kde-plasma-weather-1.0.0-fix-layout.patch
# backports from trunk:
# fix rendering issues with Qt 4.5, in particular a bogus icon at the top left
Patch100:       kde-plasma-weather-1.0.0-rev924102-qt45.patch
# fix clipping issue with Qt 4.5
Patch101:       kde-plasma-weather-1.0.0-rev924804-qt45-clip.patch
# don't show the non-functional "Update now" menu entry
Patch102:       kde-plasma-weather-1.0.0-rev926205-no-update-now.patch
# use only 1 decimal place for the wind gust
Patch103:       kde-plasma-weather-1.0.0-rev930258-wind-gust.patch
# assign m_graphicsWidget ASAP to avoid graphicsWidget() calling itself
Patch104:       kde-plasma-weather-1.0.0-rev936021-init-order.patch
# less space at the bottom
Patch105:       kde-plasma-weather-1.0.0-rev941138-less-space-at-bottom.patch
# use KToolInvocation rather than KRun on text/html to run browser
# honors the setting to use another browser than the text/html file association
Patch106:       kde-plasma-weather-1.0.0-rev947565-ktoolinvocation.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# The weather dataengine is in kdebase-workspace.
BuildRequires:  kdebase-workspace-devel >= 4.2
# Explicitly require the dataengine as it is not directly linked.
Requires:       kdebase-workspace >= 4.2

%description
A plasmoid showing weather reports and forecasts.

%prep
%setup -qn plasma-applet-weather-%{version}
%patch0 -p1 -b .popupapplet-not-city
%patch1 -p1 -b .fix-layout
%patch100 -p1 -b .qt45
%patch101 -p1 -b .qt45-clip
%patch102 -p1 -b .no-update-now
%patch103 -p1 -b .wind-gust
%patch104 -p1 -b .init-order
%patch105 -p1 -b .less-space-at-bottom
%patch106 -p1 -b .ktoolinvocation

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plasma_applet_weather.so
%{_kde4_datadir}/kde4/services/plasma-applet-weather.desktop
%{_kde4_appsdir}/desktoptheme/default/weather/

%changelog
* Sun Apr 26 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0.0-6
- work around layout issue

* Sun Apr 26 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0.0-4
- backport 2 more layout fixes from trunk
- backport patch from trunk to honor preferred browser
- fix configuration issue: PopupApplet is not a city (#495998)

* Thu Mar 05 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0.0-3
- backport 2 fixes for rendering issues with Qt 4.5 from trunk
- don't show the non-functional "Update now" menu entry (backported from trunk)
- use only 1 decimal place for the wind gust (backported from trunk)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Shawn Starr <spstarr@fedoraproject.org> 1.0.0-1
- First release.

* Sun Feb 01 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0-0.1.20090130svn
- Set Version to 1.0
- Fix Release (put alphatag before disttag)
- Remove redundant BR plasma-devel
- Don't call ldconfig, not needed
- Use %%{name} macro

* Fri Jan 30 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0-0.2.20090130svn
- New snapshot from extragear
- Drop KDE 4.1 hacks, require at least 4.2
- Drop cmake patch, fixed upstream

* Wed Dec 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0-0.1.20081231svn
- Initial package.
